package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyMajorSubject;

/**
 * 专业Mapper接口
 * 
 * @author mingxue
 * @date 2022-04-27
 */
public interface SyMajorSubjectMapper 
{
    /**
     * 查询专业
     * 
     * @param id 专业ID
     * @return 专业
     */
    public SyMajorSubject selectSyMajorSubjectById(Long id);

    /**
     * 查询专业列表
     * 
     * @param syMajorSubject 专业
     * @return 专业集合
     */
    public List<SyMajorSubject> selectSyMajorSubjectList(SyMajorSubject syMajorSubject);

    /**
     * 新增专业
     * 
     * @param syMajorSubject 专业
     * @return 结果
     */
    public int insertSyMajorSubject(SyMajorSubject syMajorSubject);

    /**
     * 修改专业
     * 
     * @param syMajorSubject 专业
     * @return 结果
     */
    public int updateSyMajorSubject(SyMajorSubject syMajorSubject);

    /**
     * 删除专业
     * 
     * @param id 专业ID
     * @return 结果
     */
    public int deleteSyMajorSubjectById(Long id);

    /**
     * 批量删除专业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyMajorSubjectByIds(Long[] ids);
}
